Saltar al contenido principal
Create TOS Link
curl --request POST \
  --url https://api.spherepay.co/v2/customer/{id}/tos-link \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.spherepay.co/v2/customer/{id}/tos-link"

headers = {"Authorization": "Bearer <token>"}

response = requests.post(url, headers=headers)

print(response.text)
const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.spherepay.co/v2/customer/{id}/tos-link', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "link": "https://spherepay.co/tos?token=eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJzdWIiOiJjdXN0b21lcl9lMDE2MzNjNWY1OTY0MThiOGU5ZTQzNDEyMzQ2OTk0YyIsImFwcGxpY2F0aW9uSWQiOiJhcHBsaWNhdGlvbl84NWM5ZmE2ZTFjMjk0YzJmOTA2NDcwNWFlYTE3Y2ZkMyIsImN1c3RvbWVyVHlwZSI6ImluZGl2aWR1YWwiLCJtc2FTdGF0dXMiOiJpbmNvbXBsZXRlIiwibXNhUmVxdWlyZWQiOmZhbHNlLCJpYXQiOjE3NjQwMzQwMDUsImV4cCI6MTc2NjQ1MzIwNX0.6z3976YqDxDr5LkMJxoZhw526cu1PGE3nFZtAE8vIfY",
  "expiresAt": "2026-03-09T20:46:31.305Z"
}
{
"status": 400,
"detail": "Invalid request parameters",
"code": "address/invalid",
"correlationId": "28c61e885c6e5eaa78c1a2183a9b883c"
}
{
"status": 404,
"detail": "Resource not found",
"code": "resource/not-found",
"correlationId": "28c61e885c6e5eaa78c1a2183a9b883c"
}
{
"status": 422,
"detail": "Validation failed",
"code": "validation/failed",
"correlationId": "28c61e885c6e5eaa78c1a2183a9b883c",
"errors": [
{
"detail": "Invalid email format",
"pointer": "/email"
},
{
"detail": "Name is required",
"pointer": "/name"
}
]
}
Genera un link de aceptación de Términos de Servicio alojado para un cliente. Este endpoint solo es requerido en el modelo de incorporación Sphere-Managed — en el modelo Platform-Managed, la aceptación de los TOS es manejada por tu propia plataforma antes de que el cliente sea pasado a SpherePay. Redirige al cliente al link devuelto para que pueda revisar y aceptar los Términos de Servicio de SpherePay. El link expira en el momento indicado por expiresAt.
La aceptación de los TOS es un paso requerido en el flujo KYC Sphere-Managed. El cliente no puede ser aprobado para transferencias hasta que haya aceptado los Términos de Servicio. Si estás usando el modelo Platform-Managed, omite este endpoint.

Autorizaciones

Authorization
string
header
requerido

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Parámetros de ruta

id
string
requerido

Customer ID

Ejemplo:

"customer_f31121c389624d3697cbf3ea8830b7a4"

Respuesta

Terms of Service link URL

Ejemplo:

"https://spherepay.co/tos?token=eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJzdWIiOiJjdXN0b21lcl9lMDE2MzNjNWY1OTY0MThiOGU5ZTQzNDEyMzQ2OTk0YyIsImFwcGxpY2F0aW9uSWQiOiJhcHBsaWNhdGlvbl84NWM5ZmE2ZTFjMjk0YzJmOTA2NDcwNWFlYTE3Y2ZkMyIsImN1c3RvbWVyVHlwZSI6ImluZGl2aWR1YWwiLCJtc2FTdGF0dXMiOiJpbmNvbXBsZXRlIiwibXNhUmVxdWlyZWQiOmZhbHNlLCJpYXQiOjE3NjQwMzQwMDUsImV4cCI6MTc2NjQ1MzIwNX0.6z3976YqDxDr5LkMJxoZhw526cu1PGE3nFZtAE8vIfY"

expiresAt
string
requerido

ISO 8601 formatted date and time of the TOS link expiration

Ejemplo:

"2026-03-09T20:46:31.305Z"

Última modificación el 22 de junio de 2026